Subject: bug#62732: 29.0.60; uniquify-trailing-separator-p affects any buffer whose name matches a dir in CWD

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Jul 2023 19:02:01 +0300

> From: [email-masked]
> Date: Thu, 13 Jul 2023 15:52:54 +0000 (UTC)
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > So how about compromising on a variant of (2): we add an optional
> > DIRECTORY-P argument, and if FILENAME doesn't end in a slash, but
> > DIRECTORY-P is non-nil, create-file-buffer will append a slash?
> 
> Okay, so like this?

Looks like you sent an incorrect patch or something?

> BTW, would you be okay with moving uniquify-trailing-separator-p into
> dired, as I described in my other recent email?  Then create-file-buffer
> wouldn't need to check it, which would simplify its docstring slightly;
> instead dired would just decide whether to pass a directory name or file
> name based on uniquify-trailing-separator-p.  Since I'm changing this
> area anyway, now would be the time to make that change, as a nice
> cleanup which Stefan also likes.

I don't quite understand how can uniquify-trailing-separator-p be in
dired.el when the code which supports it is in uniquify.el.  What am I
missing?